Bug 1332901 - owncloud-nginx ships a config that does not work
Summary: owncloud-nginx ships a config that does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: owncloud
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-04 10:35 UTC by James Hogarth
Modified: 2016-07-03 11:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1332900
Environment:
Last Closed: 2016-07-03 11:00:09 UTC
Type: Bug


Attachments (Terms of Use)

Description James Hogarth 2016-05-04 10:35:20 UTC
+++ This bug was initially created as a clone of Bug #1332900 +++

Description of problem:
When installing owncloud with the owncloud-nginx webserver instead of httpd the configuration file that is shipped in the package takes no effect.


How reproducible:
Always

Steps to Reproduce:
1. dnf install owncloud owncloud-nginx owncloud-sqlite
2. systemctl start nginx php-fpm
3. xdg-open http://localhost ; xdg-open http://localhost/owncloud

Actual results:
The first shows the Fedora default page, the second has a 404 error

Expected results:
According to the config the first should have the owncloud interface, but the second would match the httpd behaviour of having it under the /owncloud namespace.

Additional info:
Since the include /etc/nginx/conf.d/*.conf  happens before the server {} definition in the default nginx.conf the server {} in the oC nginx conf shipped gets overwritten. Removing the default server {} definition then allows oC to run from the / namespace.

To match the httpd behaviour, so principle of least surprise between the two webserver options, it should be included from the default.d directory and so absorbed into the default server {} definition.

Comment 1 James Hogarth 2016-05-21 23:29:21 UTC
The upcoming 9.0.X release will fix this and is available for very early testing from my FPO space:

https://jhogarth.fedorapeople.org/owncloud/9.0.2/

Note that this has fairly significant nginx and php-fpm owncloud snippet changes so will need careful validation by any admins using owncloud-nginx

Comment 2 Fedora Update System 2016-06-03 16:51:09 UTC
php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-security-acl-2.8.0-1.el7 php-symfony-2.8.6-2.el7 owncloud-9.0.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 3 Fedora Update System 2016-06-05 07:51:23 UTC
owncloud-9.0.2-3.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.6-2.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 4 Fedora Update System 2016-06-07 10:09:31 UTC
owncloud-9.0.2-3.el7 php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-2.8.7-1.el7 php-symfony-security-acl-2.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 5 Fedora Update System 2016-06-08 05:48:17 UTC
owncloud-9.0.2-3.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 6 Fedora Update System 2016-06-15 22:19:08 UTC
owncloud-9.0.2-4.el7 php-mcnetic-zipstreamer-1.0-1.el7 php-sabre-dav-3.0.9-1.el7 php-sabre-http-4.2.1-1.el7 php-symfony-2.8.7-1.el7 php-symfony-security-acl-2.8.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 7 Fedora Update System 2016-06-17 18:49:07 UTC
owncloud-9.0.2-4.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-437bece53c

Comment 8 Fedora Update System 2016-07-02 23:50:13 UTC
owncloud-9.0.2-4.el7, php-mcnetic-zipstreamer-1.0-1.el7, php-sabre-dav-3.0.9-1.el7, php-sabre-http-4.2.1-1.el7, php-symfony-2.8.7-1.el7, php-symfony-security-acl-2.8.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.